Dsurface {secr} | R Documentation

## Density Surfaces

### Description

S3 class for rasterized fitted density surfaces. A Dsurface is a type of ‘mask’ with covariate(s) for the predicted density at each point.

### Usage

    ## S3 method for class 'Dsurface'
    print(x, scale = 1, ...)
    ## S3 method for class 'Dsurface'
    summary(object, scale = 1, ...)

### Arguments

`x, object` | Dsurface object to display
`scale` | numeric multiplier for density
`...` | other arguments passed to print method for data frames or summary method for masks

### Details

A Dsurface will usually have been constructed with `predictDsurface`.

The ‘scale’ argument may be used to change the units of density from the default (animals / hectare) to animals / km^2 (scale = 100) or animals / 100km^2 (scale = 10000).

A virtual S4 class ‘Dsurface’ is defined to allow the definition of a method for the generic function `raster` from the raster package.

### See Also

`predictDsurface`, `plot.Dsurface`

[Package secr version 3.2.1 Index]